Delete badge (by id)
This endpoint allows you to delete a badge.
This endpoint allows you to delete a badge.
Authorizations
API key passed in the header.
Path Parameters
UUID of the badge to delete (converted to lowercase)
Response
200
idstring<uuid>requiredUUID of the badge (converted to lowercase)
namestringrequiredThe name of the badge
descriptionstringrequiredThe description of the badge
imageUrlstring<uri>requiredThe URL of the badge image
hideInUibooleanWhether to hide this badge in the user interface
falseloyaltyConditionsarray<object>requiredArray of conditions of the badge
loyaltyConditions.idstring<uuid>requiredUUID of the condition (converted to lowercase)
loyaltyConditions.type"rule" | "rules" | "points" | "section" | "level" | "api" | "badge" | "badges" | "csv"requiredThe type of the condition
"rule" | "rules" | "points" | "section" | "level" | "api" | "badge" | "badges" | "csv"loyaltyConditions.descriptionstringrequiredThe description of the condition
loyaltyConditions.amountnumberrequiredThe amount of the condition
loyaltyConditions.repeatCountnumberrequiredThe repeat count of the condition
loyaltyConditions.requiredCountnumberrequiredThe required count of the condition
loyaltyConditions.loyaltyRuleGroupIdstring<uuid>requiredUUID of the rule group (converted to lowercase)
loyaltyConditions.associationarray<object>requiredloyaltyConditions.loyaltyCurrencyIdstring<uuid>requiredUUID of the currency (converted to lowercase)
loyaltyConditions.csvUrlstring<uri>requiredURL of the CSV file
loyaltyConditions.csvFilesarray<object>Array of CSV files associated with the condition
rewardsarray<object>Array of rewards granted when the badge is achieved
rewards.idstring<uuid>requiredUUID of the badge reward
rewards.rewardType"points" | "multiplier" | "badge" | "token"requiredType of reward (points or multiplier)
"points" | "multiplier" | "badge" | "token"rewards.loyaltyCurrencyIdstring<uuid>requiredUUID of the loyalty currency for this reward
rewards.loyaltyCurrencyIdsarray<string<uuid>>Array of loyalty currency IDs for multiplier rewards (empty means all currencies)
rewards.amountnumberrequiredPoints amount to reward (for points reward type)
rewards.multipliernumberrequiredMultiplier to reward (for multiplier reward type)
rewards.isRetroactivebooleanrequiredWhether the multiplier should be applied to the user's existing balance
loyaltyBadgeUsersarray<object>Array of user badges
loyaltyBadgeUsers.idstring<uuid>requiredUUID of the user badge (converted to lowercase)
loyaltyBadgeUsers.userIdstring<uuid>requiredUUID of the user (converted to lowercase)
loyaltyBadgeUsers.websiteIdstring<uuid>requiredUUID of the website (converted to lowercase)
loyaltyBadgeUsers.organizationIdstring<uuid>requiredUUID of the organization (converted to lowercase)
loyaltyBadgeUsers.hideInUibooleanWhether to hide this badge in the user interface
falseloyaltyBadgeUsers.status"active" | "inactive" | "revoked"requiredThe status of the badge
"active" | "inactive" | "revoked"loyaltyBadgeUsers.loyaltyBadgeIdstring<uuid>requiredUUID of the badge (converted to lowercase)
loyaltyBadgeUsers.progressanyArray of progress for the badge
loyaltyBadgeUsers.dismissedInUibooleanWhether the user has dismissed the badge in the UI
loyaltyBadgeUsers.userobjectUser associated with the user badge
loyaltyBadgeUsers.createdAtstring<date-time>requiredThe date and time the user badge was created
loyaltyBadgeUsers.completedAtstring<date-time>The date and time the user badge was granted
loyaltyBadgeUsers.updatedAtstring<date-time>requiredThe date and time the user badge was updated
loyaltyRulesarray<object>Array of loyalty rules associated with the badge
loyaltyRules.idstring<uuid>requiredUUID of the loyalty rule (converted to lowercase)
loyaltyRules.namestringrequiredThe name of the loyalty rule
dataJobsarray<object>Array of data jobs associated with the badge
dataJobs.idstring<uuid>requiredUUID of the data job (converted to lowercase)
dataJobs.status"pending" | "processing" | "complete" | "failed" | "cancelled"requiredThe status of the data job
"pending" | "processing" | "complete" | "failed" | "cancelled"dataJobs.messagestringThe message associated with the data job
dataJobs.createdAtstring<date-time>requiredThe date and time the data job was created
dataJobs.updatedAtstring<date-time>requiredThe date and time the data job was updated
createdAtstring<date-time>requiredThe date and time the badge was created
updatedAtstring<date-time>requiredThe date and time the badge was updated